From c0cdfe376ff8e785c1af34122a8ca82a22fa9a9c Mon Sep 17 00:00:00 2001
From: Laurent Montel <montel@kde.org>
Date: Tue, 15 Mar 2022 06:54:35 +0100
Subject: [PATCH] Use KWindowStateSaver

---
 src/print/knoteprinter.cpp | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/src/print/knoteprinter.cpp b/src/print/knoteprinter.cpp
index 0b2a408d..be0b0b15 100644
--- a/src/print/knoteprinter.cpp
+++ b/src/print/knoteprinter.cpp
@@ -8,7 +8,6 @@
 #include "knotegrantleeprint.h"
 #include "print/knoteprintobject.h"
 
-#include <PimCommon/KPimPrintPreviewDialog>
 #include <QAbstractTextDocumentLayout>
 #include <QPainter>
 #include <QPointer>
@@ -17,6 +16,8 @@
 #include <QTextDocument>
 
 #include <KMessageBox>
+#include <KWindowStateSaver>
+#include <QPrintPreviewDialog>
 
 #include "knotes_debug.h"
 #include <KLocalizedString>
@@ -44,10 +45,11 @@ void KNotePrinter::doPrintPreview(const QString &htmlText)
     QPrinter printer(QPrinter::HighResolution);
     printer.setOutputFormat(QPrinter::PdfFormat);
     printer.setCollateCopies(true);
-    PimCommon::KPimPrintPreviewDialog previewdlg(&printer, nullptr);
-
-    connect(&previewdlg, &QPrintPreviewDialog::paintRequested, this, &KNotePrinter::slotPrinterPage);
-    previewdlg.exec();
+    QPointer<QPrintPreviewDialog> previewdlg = new QPrintPreviewDialog(&printer);
+    new KWindowStateSaver(previewdlg.data(), "KNotePrintPreviewDialog");
+    connect(previewdlg.data(), &QPrintPreviewDialog::paintRequested, this, &KNotePrinter::slotPrinterPage);
+    previewdlg->exec();
+    delete previewdlg;
 }
 
 void KNotePrinter::slotPrinterPage(QPrinter *printer)
-- 
GitLab

